diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index cdff0fa..ce14582 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -60054,7 +60054,7 @@ have to be switched by swapping names.
         str := stringify expr
         len := #str
         -- this bit seems to deal with integers
-        FIXP$Lisp expr =>
+        INTEGERP$Lisp expr =>
           i := expr pretend Integer
           if (i < 0) or (i > 9)
             then
@@ -89186,7 +89186,7 @@ ScriptFormulaFormat(): public == private where
       i : Integer
       ATOM(expr)$Lisp pretend Boolean =>
         str := stringify expr
-        FIXP(expr)$Lisp =>
+        INTEGERP(expr)$Lisp =>
           i := expr : Integer
           if (i < 0) or (i > 9) then group str else str
         (i := position(str,specialStrings)) > 0 =>
@@ -90778,14 +90778,14 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
         list?    b   == PAIRP(b)$Lisp or NULL(b)$Lisp
         string?  b   == STRINGP(b)$Lisp
         symbol?  b   == IDENTP(b)$Lisp
-        integer? b   == INTP(b)$Lisp
+        integer? b   == INTEGERP(b)$Lisp
         float?   b   == RNUMP(b)$Lisp
 
         destruct b == (list? b    => b pretend List %; error "Non-list")
         string b == (STRINGP(b)$Lisp=> b pretend Str;error "Non-string")
         symbol b == (IDENTP(b)$Lisp => b pretend Sym;error "Non-symbol")
         float   b == (RNUMP(b)$Lisp  => b pretend Flt;error "Non-float")
-        integer b == (INTP(b)$Lisp => b pretend Int;error "Non-integer")
+        integer b == (INTEGERP(b)$Lisp => b pretend Int;error "Non-integer")
         expr    b == b pretend Expr
 
         convert(l:  List %) == l  pretend %
@@ -102897,7 +102897,7 @@ TexFormat(): public == private where
       ATOM(expr)$Lisp pretend Boolean =>
         str := stringify expr
         len := #str
-        FIXP$Lisp expr =>
+        INTEGERP$Lisp expr =>
           i := expr pretend Integer
           if (i < 0) or (i > 9)
             then
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 5fddb87..600bd38 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -2195,7 +2195,6 @@ It is controlled with the {\tt )se me any} command.
 \calls{recordAndPrint}{printTypeAndTime}
 \calls{recordAndPrint}{printStorage}
 \calls{recordAndPrint}{printStatisticsSummary}
-\calls{recordAndPrint}{fixp}
 \calls{recordAndPrint}{mkCompanionPage}
 \calls{recordAndPrint}{recordAndPrintTest}
 \usesdollar{recordAndPrint}{outputMode}
@@ -2244,7 +2243,7 @@ It is controlled with the {\tt )se me any} command.
     (|printTypeAndTime| xp mdp))
   (when |$printStorageIfTrue| (|printStorage|))
   (when |$printStatisticsSummaryIfTrue| (|printStatisticsSummary|))
-  (when (fixp |$HTCompanionWindowID|) (|mkCompanionPage| md))
+  (when (integerp |$HTCompanionWindowID|) (|mkCompanionPage| md))
   (cond
    (|$mkTestFlag| (|recordAndPrintTest| md))
    (|$runTestFlag|
@@ -21975,7 +21974,7 @@ back.
           (setq oname (elt ob 2))
           (setq f 
            (seq 
-            (when (intp oname) (exit (eval (gensymmer oname))))
+            (when (integerp oname) (exit (eval (gensymmer oname))))
             (exit (symbol-function oname))))
           (when (null (compiled-function-p f))
            (exit (|error| "A required BPI does not exist.")))
@@ -25401,7 +25400,6 @@ recurrence   specially compile recurrence relations     on
 \calls{setFunctionsCache}{describeSetFunctionsCache}
 \calls{setFunctionsCache}{sayAllCacheCounts}
 \calls{setFunctionsCache}{nequal}
-\calls{setFunctionsCache}{fixp}
 \calls{setFunctionsCache}{sayMessage}
 \calls{setFunctionsCache}{bright}
 \calls{setFunctionsCache}{terminateSystemCommand}
@@ -25429,7 +25427,7 @@ recurrence   specially compile recurrence relations     on
     (t
       (setq n (car arg))
       (cond
-       ((and (nequal n '|all|) (or (null (fixp n)) (minusp n)))
+       ((and (nequal n '|all|) (or (null (integerp n)) (minusp n)))
         (|sayMessage|
          `("Your value of" ,@(|bright| n) "is invalid because ..."))
         (|describeSetFunctionsCache|)
@@ -27391,7 +27389,6 @@ double       enforce DOUBLE PRECISION ASPs              on
 
 \defun{setFortPers}{setFortPers}
 \calls{setFortPers}{describeFortPersistence}
-\calls{setFortPers}{fixp}
 \calls{setFortPers}{sayMessage}
 \calls{setFortPers}{bright}
 \calls{setFortPers}{terminateSystemCommand}
@@ -27408,7 +27405,7 @@ double       enforce DOUBLE PRECISION ASPs              on
     (t
      (setq n (car arg))
      (cond
-      ((or (null (fixp n)) (minusp n))
+      ((or (null (integerp n)) (minusp n))
        (|sayMessage| 
         `("Your value of" ,@(|bright| n) "is invalid because ..."))
          (|describeFortPersistence|)
@@ -29100,7 +29097,6 @@ showall      display all stream elements computed       off
 \calls{setStreamsCalculate}{object2String}
 \calls{setStreamsCalculate}{describeSetStreamsCalculate}
 \calls{setStreamsCalculate}{nequal}
-\calls{setStreamsCalculate}{fixp}
 \calls{setStreamsCalculate}{sayMessage}
 \calls{setStreamsCalculate}{bright}
 \calls{setStreamsCalculate}{terminateSystemCommand}
@@ -29117,7 +29113,7 @@ showall      display all stream elements computed       off
    (t
      (setq n (car arg))
      (cond 
-      ((and (nequal n '|all|) (or (null (fixp n)) (minusp n)))
+      ((and (nequal n '|all|) (or (null (integerp n)) (minusp n)))
         (|sayMessage| 
          `("Your value of" ,@(|bright| n) "is invalid because ..."))
         (|describeSetStreamsCalculate|)
@@ -29386,7 +29382,6 @@ which gets called with \verb|%describe%|
 \calls{set1}{displaySetOptionInformation}
 \calls{set1}{kdr}
 \calls{set1}{sayMSG}
-\calls{set1}{fixp}
 \calls{set1}{sayMessage}
 \calls{set1}{bright}
 \calls{set1}{object2String}
@@ -29447,7 +29442,7 @@ which gets called with \verb|%describe%|
          (progn
           (setq num (elt l 1))
           (cond
-           ((and (fixp num)
+           ((and (integerp num)
                  (>= num (elt (sixth setdata) 0))
                  (or (null (setq upperlimit (elt (sixth setdata) 1)))
                      (<= num upperlimit)))
@@ -30902,7 +30897,6 @@ This reports the traced functions
 \calls{getTraceOption}{pairp}
 \calls{getTraceOption}{qcdr}
 \calls{getTraceOption}{qcar}
-\calls{getTraceOption}{fixp}
 \calls{getTraceOption}{getTraceOption,hn}
 \calls{getTraceOption}{isListOfIdentifiersOrStrings}
 \calls{getTraceOption}{isListOfIdentifiers}
@@ -30990,7 +30984,7 @@ This reports the traced functions
          ((and (pairp l) 
                (eq (qcdr l) nil)
                (progn (setq |n| (qcar l)) t)
-               (fixp |n|))
+               (integerp |n|))
            arg)
          (t 
           (|stackTraceOptionError| 
@@ -31001,7 +30995,7 @@ This reports the traced functions
               (and (pairp l) 
                    (eq (qcdr l) nil)
                    (progn (setq |n| (qcar l)) t)
-                   (fixp |n|)))
+                   (integerp |n|)))
             arg)
          (t 
           (|stackTraceOptionError|
@@ -31148,7 +31142,6 @@ This reports the traced functions
 @
 
 \defun{transOnlyOption}{transOnlyOption}
-\calls{transOnlyOption}{fixp}
 \calls{transOnlyOption}{transOnlyOption}
 \calls{transOnlyOption}{memq}
 \calls{transOnlyOption}{upcase}
@@ -31161,7 +31154,7 @@ This reports the traced functions
  (let (y n)
   (when (and (pairp arg) (progn (setq n (qcar arg)) (setq y (qcdr arg)) t))
     (cond
-     ((fixp n) (cons n (|transOnlyOption| y)))
+     ((integerp n) (cons n (|transOnlyOption| y)))
      ((memq (setq n (upcase n)) '(v a c)) (cons n (|transOnlyOption| y)))
      (t 
         (|stackTraceOptionError| (cons 's2it0006 (list (list n))))
@@ -31802,7 +31795,6 @@ This reports the traced functions
 \calls{spadTrace}{flattenOperationAlist}
 \calls{spadTrace}{getOperationAlistFromLisplib}
 \calls{spadTrace}{memq}
-\calls{spadTrace}{fixp}
 \calls{spadTrace}{spadTrace,isTraceable}
 \calls{spadTrace}{as-insert}
 \calls{spadTrace}{bpiname}
@@ -31880,7 +31872,7 @@ This reports the traced functions
          (cond
           ((and (eq kind 'elt)
                 (or anyiftrue (memq op listofoperations))
-                (fixp n)
+                (integerp n)
                 (|spadTrace,isTraceable|
                  (setq triple
                   (cons op (cons sig (cons n nil)))) domain))
@@ -33225,7 +33217,6 @@ $previousBindings := nil
 \calls{undo}{qcar}
 \calls{undo}{spaddifference}
 \calls{undo}{identp}
-\calls{undo}{fixp}
 \calls{undo}{undoSteps}
 \calls{undo}{undoCount}
 \usesdollar{undo}{options}
@@ -33256,7 +33247,7 @@ $previousBindings := nil
     (setq n (car l)))
   (when (identp n)
     (setq n (parse-integer (pname n)))
-    (unless (fixp n)
+    (unless (integerp n)
       (|userError| "undo argument must be an integer")))
   (setq |$InteractiveFrame| (|undoSteps| (|undoCount| n) undoWhen))
   nil))
@@ -37635,7 +37626,7 @@ appropriate entries in the browser database. The legal values for arg are
 \calls{stringMatches?}{basicMatch?}
 <<defun stringMatches?>>=
 (defun |stringMatches?| (pattern subject)
- (when (fixp (|basicMatch?| pattern subject)) t))
+ (when (integerp (|basicMatch?| pattern subject)) t))
 
 @
 
diff --git a/changelog b/changelog
index 41ec8e5..975de93 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,31 @@
+20100228 tpd src/axiom-website/patches.html 20100228.01.tpd.patch
+20100228 tpd src/interp/wi2.lisp remove non-common lisp macros
+20100228 tpd src/interp/wi1.lisp remove non-common lisp macros
+20100228 tpd src/interp/vmlisp.lisp remove non-common lisp macros
+20100228 tpd src/interp/topics.lisp remove non-common lisp macros
+20100228 tpd src/interp/template.lisp remove non-common lisp macros
+20100228 tpd src/interp/slam.lisp remove non-common lisp macros
+20100228 tpd src/interp/pspad1.lisp remove non-common lisp macros
+20100228 tpd src/interp/parsing.lisp remove non-common lisp macros
+20100228 tpd src/interp/nrunfast.lisp remove non-common lisp macros
+20100228 tpd src/interp/newfort.lisp remove non-common lisp macros
+20100228 tpd src/interp/msgdb.lisp remove non-common lisp macros
+20100228 tpd src/interp/mark.lisp remove non-common lisp macros
+20100228 tpd src/interp/lisplib.lisp remove non-common lisp macros
+20100228 tpd src/interp/i-util.lisp remove non-common lisp macros
+20100228 tpd src/interp/i-spec2.lisp remove non-common lisp macros
+20100228 tpd src/interp/i-output.lisp remove non-common lisp macros
+20100228 tpd src/interp/i-intern.lisp remove non-common lisp macros
+20100228 tpd src/interp/i-coerce.lisp remove non-common lisp macros
+20100228 tpd src/interp/i-analy.lisp remove non-common lisp macros
+20100228 tpd src/interp/g-timer.lisp remove non-common lisp macros
+20100228 tpd src/interp/g-opt.lisp remove non-common lisp macros
+20100228 tpd src/interp/fnewmeta.lisp remove non-common lisp macros
+20100228 tpd src/interp/clam.lisp remove non-common lisp macros
+20100228 tpd src/interp/c-util.lisp remove non-common lisp macros
+20100228 tpd src/interp/br-con.lisp remove non-common lisp macros
+20100228 tpd books/bookvol5 remove non-common lisp macros
+20100228 tpd books/bookvol10.3 remove non-common lisp macros
 20100227 tpd src/axiom-website/patches.html 20100227.02.tpd.patch
 20100227 tpd src/interp/vmlisp.lisp remove unused functions
 20100227 tpd src/axiom-website/patches.html 20100227.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e51b752..540e2a8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2501,5 +2501,7 @@ books/bookvol5 merge and remove macex, begin documentation<br/>
 src/interp/vmlisp.lisp remove some define-functions<br/>
 <a href="patches/20100227.02.tpd.patch">20100227.02.tpd.patch</a>
 src/interp/vmlisp.lisp remove unused functions<br/>
+<a href="patches/20100228.01.tpd.patch">20100228.01.tpd.patch</a>
+src/interp/vmlisp.lisp remove non-common lisp macros<br/>
  </body>
 </html>
diff --git a/src/interp/br-con.lisp.pamphlet b/src/interp/br-con.lisp.pamphlet
index 0cd00e2..9dba180 100644
--- a/src/interp/br-con.lisp.pamphlet
+++ b/src/interp/br-con.lisp.pamphlet
@@ -3154,7 +3154,7 @@
     (RETURN
       (SEQ (PROGN
              (COND
-               ((AND (NULL (FIXP |op|))
+               ((AND (NULL (integerp |op|))
                      (DIGITP (ELT (SPADLET |s| (STRINGIMAGE |op|)) 0)))
                 (SPADLET |op| (|string2Integer| |s|))))
              (COND
@@ -7479,7 +7479,7 @@
                             ((BOOT-EQUAL |key| |domainForm|)
                              (SPADLET |domexports|
                                       (CONS |x| |domexports|)))
-                            ((FIXP |key|)
+                            ((integerp |key|)
                              (SPADLET |unexports|
                                       (CONS |x| |unexports|)))
                             ((|isDefaultPackageForm?| |key|)
@@ -7817,7 +7817,7 @@
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |u| '$) (|devaluate| |dollar|))
-             ((AND (FIXP |u|) (VECP (SPADLET |y| (ELT |dollar| |u|))))
+             ((AND (integerp |u|) (VECP (SPADLET |y| (ELT |dollar| |u|))))
               (|devaluate| |y|))
              ((AND (PAIRP |u|) (EQ (QCAR |u|) 'NRTEVAL)
                    (PROGN
@@ -8028,7 +8028,7 @@
                                      (CONS
                                       (|getDomainRefName| |dom| |x|)
                                       G170266))))))))
-             ((NULL (FIXP |nam|)) |nam|)
+             ((NULL (integerp |nam|)) |nam|)
              ('T (SPADLET |slot| (ELT |dom| |nam|))
               (COND
                 ((VECP |slot|) (ELT |slot| 0))
@@ -8262,7 +8262,7 @@
     (RETURN
       (SEQ (COND
              ((EQL |x| 0) (CONS '$ NIL))
-             ((FIXP |x|) (|formatLazyDomain| |dom| (ELT |dom| |x|)))
+             ((integerp |x|) (|formatLazyDomain| |dom| (ELT |dom| |x|)))
              ((ATOM |x|) |x|)
              ((AND (PAIRP |x|) (EQ (QCAR |x|) 'NRTEVAL)
                    (PROGN
@@ -8545,7 +8545,7 @@
                                                      (EXIT
                                                       (COND
                                                         ((AND
-                                                          (FIXP
+                                                          (integerp
                                                            (SPADLET
                                                             |code|
                                                             (|myLastAtom|
@@ -8587,7 +8587,7 @@
                                                         (EXIT
                                                          (COND
                                                            ((AND
-                                                             (FIXP
+                                                             (integerp
                                                               (SPADLET
                                                                |code|
                                                                (|myLastAtom|
@@ -26276,7 +26276,7 @@ $dbKindAlist :=
     (RETURN
       (PROGN
         (SPADLET |flag| (IFCAR |options|))
-        (SPADLET |m| (ABSVAL |n|))
+        (SPADLET |m| (abs |n|))
         (COND (|flag| (SPADLET |m| (PLUS |m| 2))))
         (COND
           (|$standard|
diff --git a/src/interp/c-util.lisp.pamphlet b/src/interp/c-util.lisp.pamphlet
index fb40c02..0e6c45b 100644
--- a/src/interp/c-util.lisp.pamphlet
+++ b/src/interp/c-util.lisp.pamphlet
@@ -1811,7 +1811,7 @@
 
 (DEFUN |compilerMessage| (|x|)
   (declare (special |$PrintCompilerMessageIfTrue|))
-  (SEQ (COND (|$PrintCompilerMessageIfTrue| (EXIT (APPLX 'SAY |x|))))))
+  (SEQ (COND (|$PrintCompilerMessageIfTrue| (EXIT (apply 'SAY |x|))))))
 
 ;
 ;printDashedLine() ==
diff --git a/src/interp/clam.lisp.pamphlet b/src/interp/clam.lisp.pamphlet
index 0aee9f1..56a6993 100644
--- a/src/interp/clam.lisp.pamphlet
+++ b/src/interp/clam.lisp.pamphlet
@@ -225,7 +225,7 @@
                              (CONS (CONS |auxfn| (CONS |g1| NIL)) NIL)))
                       ('T
                        (CONS |g1|
-                             (CONS (CONS 'APPLX
+                             (CONS (CONS 'apply
                                     (CONS
                                      (CONS '|function|
                                       (CONS |auxfn| NIL))
@@ -798,7 +798,7 @@
                                     (EQ (QCDR |argl|) NIL))
                                (CONS |auxfn| (CONS |g1| NIL)))
                               ('T
-                               (CONS 'APPLX
+                               (CONS 'apply
                                      (CONS
                                       (CONS '|function|
                                        (CONS |auxfn| NIL))
diff --git a/src/interp/fnewmeta.lisp.pamphlet b/src/interp/fnewmeta.lisp.pamphlet
index 8bfbe0e..60954b0 100644
--- a/src/interp/fnewmeta.lisp.pamphlet
+++ b/src/interp/fnewmeta.lisp.pamphlet
@@ -765,10 +765,10 @@ IteratorTail:   ('repeat' <Iterator*>! / Iterator*) ;
 
 
 (DEFUN |PARSE-FloatBase| ()
-  (OR (AND (FIXP (CURRENT-SYMBOL)) (CHAR-EQ (CURRENT-CHAR) ".")
+  (OR (AND (integerp (CURRENT-SYMBOL)) (CHAR-EQ (CURRENT-CHAR) ".")
            (CHAR-NE (NEXT-CHAR) ".") (|PARSE-IntegerTok|)
            (MUST (|PARSE-FloatBasePart|)))
-      (AND (FIXP (CURRENT-SYMBOL))
+      (AND (integerp (CURRENT-SYMBOL))
            (CHAR-EQ (CHAR-UPCASE (CURRENT-CHAR)) 'E)
            (|PARSE-IntegerTok|) (PUSH-REDUCTION '|PARSE-FloatBase| 0)
            (PUSH-REDUCTION '|PARSE-FloatBase| 0))
diff --git a/src/interp/g-opt.lisp.pamphlet b/src/interp/g-opt.lisp.pamphlet
index 61bc5f0..4eed8de 100644
--- a/src/interp/g-opt.lisp.pamphlet
+++ b/src/interp/g-opt.lisp.pamphlet
@@ -1476,7 +1476,7 @@
                             (PROGN (SPADLET |b| (QCAR |ISTMP#2|)) 'T))))))
          (COND
            ((EQL |b| 0) (CONS 'MINUSP (CONS |a| NIL)))
-           ('T (CONS 'GREATERP (CONS |b| (CONS |a| NIL))))))
+           ('T (CONS '> (CONS |b| (CONS |a| NIL))))))
         ('T |u|)))))
 
 ;optEQ u ==
@@ -1537,7 +1537,7 @@
                   (RECORDELT |optRECORDELT|)
                   (SETRECORDELT |optSETRECORDELT|)
                   (RECORDCOPY |optRECORDCOPY|)))
-            (MAKEPROP (CAR |x|) 'OPTIMIZE (CREATE-SBC (CADR |x|)))))
+            (MAKEPROP (CAR |x|) 'OPTIMIZE (CADR |x|))))
 
 @
 \eject
diff --git a/src/interp/g-timer.lisp.pamphlet b/src/interp/g-timer.lisp.pamphlet
index 35aad96..7d2f981 100644
--- a/src/interp/g-timer.lisp.pamphlet
+++ b/src/interp/g-timer.lisp.pamphlet
@@ -240,7 +240,7 @@
          (COND
            ((BOOT-EQUAL |t| 0.0) (MAKESTRING "0"))
            ('T (FORMAT NIL (MAKESTRING "~,2F") |t|))))
-        ((INTP |t|) (SPADLET K 1024) (SPADLET M (TIMES K K))
+        ((integerp |t|) (SPADLET K 1024) (SPADLET M (TIMES K K))
          (COND
            ((> |t| (TIMES 9 M))
             (CONCAT (STRINGIMAGE (QUOTIENT (PLUS |t| (TIMES 512 K)) M))
@@ -257,7 +257,7 @@
 ;   true
 
 (DEFUN |significantStat| (|t|)
-  (COND ((RNUMP |t|) (> |t| 0.01)) ((INTP |t|) (> |t| 100)) ('T 'T)))
+  (COND ((RNUMP |t|) (> |t| 0.01)) ((integerp |t|) (> |t| 100)) ('T 'T)))
 
 ;roundStat t ==
 ;  not RNUMP t => t
diff --git a/src/interp/i-analy.lisp.pamphlet b/src/interp/i-analy.lisp.pamphlet
index e5f860e..59283e2 100644
--- a/src/interp/i-analy.lisp.pamphlet
+++ b/src/interp/i-analy.lisp.pamphlet
@@ -1762,7 +1762,7 @@
               |u|)
              ('T
               (COND
-                ((FIXP |$HTCompanionWindowID|)
+                ((integerp |$HTCompanionWindowID|)
                  (|mkCompanionPage| '|operationError| |t|)))
               (SPADLET |amsl| (|printableArgModeSetList|))
               (SPADLET |opName1|
diff --git a/src/interp/i-coerce.lisp.pamphlet b/src/interp/i-coerce.lisp.pamphlet
index ce6199d..5a01c10 100644
--- a/src/interp/i-coerce.lisp.pamphlet
+++ b/src/interp/i-coerce.lisp.pamphlet
@@ -245,7 +245,7 @@ The special routines that  do the coercions typically  involve a "2"
              ((BOOT-EQUAL |type| |$NonNegativeInteger|)
               (|objNew| |val| |$Integer|))
              ((AND (BOOT-EQUAL |type| |$Integer|)
-                   (SINTP (|unwrap| |val|)))
+                   (typep (|unwrap| |val|) 'fixnum))
               (|objNew| |val| |$SingleInteger|))
              ('T (SPADLET |type'| (|equiType| |type|))
               (COND
@@ -844,7 +844,7 @@ The special routines that  do the coercions typically  involve a "2"
          (COND
            ((BOOT-EQUAL |t2| |$OutputForm|) NIL)
            ((AND (|isEqualOrSubDomain| |t1| |$Integer|)
-                 (|typeIsASmallInteger| |t2|) (SMINTP |val|))
+                 (|typeIsASmallInteger| |t2|) (typep |val| 'fixnum))
             (|objNewWrap| |val| |t2|))
            ((BOOT-EQUAL |t1| |$Integer|) NIL)
            ((BOOT-EQUAL |t1| |$Symbol|) NIL)
@@ -2662,7 +2662,7 @@ Interpreter Coercion Query Functions
                            ((OR (BOOT-EQUAL |t2| |$Integer|)
                                 (|typeIsASmallInteger| |t2|))
                             (RETURN (|objNew| |val| |t2|)))
-                           ('T (SPADLET |sintp| (SINTP |val|))
+                           ('T (SPADLET |sintp| (typep |val| 'fixnum))
                             (COND
                               ((AND |sintp|
                                     (BOOT-EQUAL |t2|
@@ -2677,9 +2677,9 @@ Interpreter Coercion Query Functions
                       (COND
                         ((AND (|typeIsASmallInteger| |t2|)
                               (|isEqualOrSubDomain| |t1| |$Integer|)
-                              (INTP |val|))
+                              (integerp |val|))
                          (COND
-                           ((SINTP |val|) (|objNew| |val| |t2|))
+                           ((typep |val| 'fixnum) (|objNew| |val| |t2|))
                            ('T NIL)))
                         ((BOOT-EQUAL |t2| |$Void|)
                          (|objNew| (|voidValue|) |$Void|))
diff --git a/src/interp/i-intern.lisp.pamphlet b/src/interp/i-intern.lisp.pamphlet
index bdbe34b..5c7d1cb 100644
--- a/src/interp/i-intern.lisp.pamphlet
+++ b/src/interp/i-intern.lisp.pamphlet
@@ -613,7 +613,7 @@ mkAtree2 and mkAtree3 were created because mkAtree1 got so big
             ((QUOTE T)
              (SPADLET |t| (|evaluateType| (|unabbrev| (CONS D NIL))))
              (COND
-              ((AND (|typeIsASmallInteger| |t|) (SINTP |a|))
+              ((AND (|typeIsASmallInteger| |t|) (typep |a| 'fixnum))
                (SPADLET |v| (|mkAtreeNode| |$immediateDataSymbol|))
                (|putValue| |v| (|mkObjWrap| |a| |t|)) |v|)
               ((QUOTE T)
diff --git a/src/interp/i-output.lisp.pamphlet b/src/interp/i-output.lisp.pamphlet
index dae346a..a355a91 100644
--- a/src/interp/i-output.lisp.pamphlet
+++ b/src/interp/i-output.lisp.pamphlet
@@ -5277,7 +5277,7 @@ NIL
     ((NUMBERP (CDR |u|)) (|subspan| (CAR |u|)))
     ((AND (NULL (ATOM (CAR |u|))) (ATOM (CAAR |u|))
           (NULL (NUMBERP (CAAR |u|))) (GETL (CAAR |u|) 'SUBSPAN))
-     (APPLX (GETL (CAAR |u|) 'SUBSPAN) (LIST |u|)))
+     (apply (GETL (CAAR |u|) 'SUBSPAN) (LIST |u|)))
     ('T (MAX (|subspan| (CAR |u|)) (|subspan| (CDR |u|))))))
 
 ;agggsub u == subspan rest u
@@ -5300,7 +5300,7 @@ NIL
     ((NUMBERP (CDR |u|)) (|superspan| (CAR |u|)))
     ((AND (NULL (ATOM (CAR |u|))) (ATOM (CAAR |u|))
           (NULL (NUMBERP (CAAR |u|))) (GETL (CAAR |u|) 'SUPERSPAN))
-     (APPLX (GETL (CAAR |u|) 'SUPERSPAN) (LIST |u|)))
+     (apply (GETL (CAAR |u|) 'SUPERSPAN) (LIST |u|)))
     ('T (MAX (|superspan| (CAR |u|)) (|superspan| (CDR |u|))))))
 
 ;agggsuper u == superspan rest u
diff --git a/src/interp/i-spec2.lisp.pamphlet b/src/interp/i-spec2.lisp.pamphlet
index efa5ec4..3ac0223 100644
--- a/src/interp/i-spec2.lisp.pamphlet
+++ b/src/interp/i-spec2.lisp.pamphlet
@@ -4093,7 +4093,7 @@ There are several special modes used in these functions:
     (REPEAT (IN |name| |$specialOps|)
             (SEQ (SPADLET |functionName| (INTERNL '|up| |name|))
                  (MAKEPROP |name| '|up| |functionName|)
-                 (EXIT (CREATE-SBC |functionName|)))))
+                 (EXIT |functionName|))))
 
 @
 \eject
diff --git a/src/interp/i-util.lisp.pamphlet b/src/interp/i-util.lisp.pamphlet
index e07d858..96ef3e8 100644
--- a/src/interp/i-util.lisp.pamphlet
+++ b/src/interp/i-util.lisp.pamphlet
@@ -32,7 +32,7 @@ lisp code is unwrapped.
 
 (DEFUN |isWrapped| (|x|)
   (OR (AND (PAIRP |x|) (EQ (QCAR |x|) 'WRAPPED)) (NUMBERP |x|)
-      (FLOATP |x|) (CVECP |x|)))
+      (FLOATP |x|) (stringp |x|)))
 
 ;unwrap x ==
 ;  NUMBERP x or FLOATP x or CVECP x => x
@@ -43,7 +43,7 @@ lisp code is unwrapped.
   (PROG (|y|)
     (RETURN
       (COND
-        ((OR (NUMBERP |x|) (FLOATP |x|) (CVECP |x|)) |x|)
+        ((OR (NUMBERP |x|) (FLOATP |x|) (stringp |x|)) |x|)
         ((AND (PAIRP |x|) (EQ (QCAR |x|) 'WRAPPED)
               (PROGN (SPADLET |y| (QCDR |x|)) 'T))
          |y|)
diff --git a/src/interp/lisplib.lisp.pamphlet b/src/interp/lisplib.lisp.pamphlet
index 4e9dd91..a6d0627 100644
--- a/src/interp/lisplib.lisp.pamphlet
+++ b/src/interp/lisplib.lisp.pamphlet
@@ -1849,7 +1849,7 @@
                                                         ((BOOT-EQUAL
                                                           |a| |b|)
                                                          'T)
-                                                        ((FIXP |b|)
+                                                        ((integerp |b|)
                                                          (BOOT-EQUAL
                                                           |a|
                                                           (ELT
@@ -1995,7 +1995,7 @@
                                          (SPADLET |item| (CAR |sig|))
                                          (SPADLET |item1| (CAR |sig1|)))
                                         'T)
-                                       ((FIXP |item1|)
+                                       ((integerp |item1|)
                                         (BOOT-EQUAL |item|
                                          (ELT |domainForm| |item1|)))
                                        ('T
diff --git a/src/interp/mark.lisp.pamphlet b/src/interp/mark.lisp.pamphlet
index 9d176df..2d32a11 100644
--- a/src/interp/mark.lisp.pamphlet
+++ b/src/interp/mark.lisp.pamphlet
@@ -2123,7 +2123,7 @@ Entire constructor is then assembled and prettyprinted
                 (SPADLET |target| '|per|)))
              (SPADLET |item| (CAR |u|))
              (COND
-               ((OR (FIXP |item|) (BOOT-EQUAL |item| |$One|)
+               ((OR (integerp |item|) (BOOT-EQUAL |item| |$One|)
                     (BOOT-EQUAL |item| |$Zero|))
                 NIL)
                ((AND (PAIRP |item|) (EQ (QCAR |item|) '-)
@@ -2131,7 +2131,7 @@ Entire constructor is then assembled and prettyprinted
                        (SPADLET |ISTMP#1| (QCDR |item|))
                        (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                             (PROGN (SPADLET |a| (QCAR |ISTMP#1|)) 'T)))
-                     (OR (FIXP |a|) (BOOT-EQUAL |a| |$One|)
+                     (OR (integerp |a|) (BOOT-EQUAL |a| |$One|)
                          (BOOT-EQUAL |a| |$Zero|)))
                 NIL)
                ((STRINGP |item|) NIL)
@@ -2973,7 +2973,7 @@ Entire constructor is then assembled and prettyprinted
                    ((AND (BOOT-EQUAL |op| |code|) (BOOT-EQUAL |b| |t|))
                     |form|)
                    ('T (|markNumCheck| |code| |form| |t|))))
-                ((AND (FIXP |form|)
+                ((AND (integerp |form|)
                       (MEMQ (|opOf| |t|) |$markPrimitiveNumbers|))
                  (CONS '@ (CONS |form| (CONS |t| NIL))))
                 ('T (CONS |code| (CONS |form| (CONS |t| NIL))))))
@@ -3015,7 +3015,7 @@ Entire constructor is then assembled and prettyprinted
                    (MEMQ |op| '(@ |:| |::| |pretend|))
                    (BOOT-EQUAL |t1| |t|))
               |form|)
-             ((AND (FIXP |form|)
+             ((AND (integerp |form|)
                    (MEMQ (|opOf| |t|) |$markPrimitiveNumbers|))
               (CONS '@ (CONS |form| (CONS |t| NIL))))
              ('T (|markNumCheck| '|::| |form| |t|)))))))
@@ -3040,7 +3040,7 @@ Entire constructor is then assembled and prettyprinted
                      (OR (AND (BOOT-EQUAL |form| |$One|) 1)
                          (AND (BOOT-EQUAL |form| |$Zero|) 0)))
             (CONS 'DOLLAR (CONS |s| (CONS |t| NIL))))
-           ((FIXP |form|) (CONS '@ (CONS |form| (CONS |t| NIL))))
+           ((integerp |form|) (CONS '@ (CONS |form| (CONS |t| NIL))))
            ((AND (PAIRP |form|) (EQ (QCAR |form|) '-)
                  (PROGN
                    (SPADLET |ISTMP#1| (QCDR |form|))
@@ -3052,7 +3052,7 @@ Entire constructor is then assembled and prettyprinted
                    (SPADLET |ISTMP#1| (QCDR |form|))
                    (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                         (PROGN (SPADLET |n| (QCAR |ISTMP#1|)) 'T)))
-                 (FIXP |n|))
+                 (integerp |n|))
             (CONS '@ (CONS (MINUS |n|) (CONS |t| NIL))))
            ('T (CONS |op| (CONS |form| (CONS |t| NIL))))))
         ('T (CONS |op| (CONS |form| (CONS |t| NIL))))))))
diff --git a/src/interp/msgdb.lisp.pamphlet b/src/interp/msgdb.lisp.pamphlet
index c212ae9..5301d04 100644
--- a/src/interp/msgdb.lisp.pamphlet
+++ b/src/interp/msgdb.lisp.pamphlet
@@ -537,11 +537,11 @@
   (declare (special |$msgdbListPrims| |$msgdbNoBlanksBeforeGroup|))
     (RETURN
       (COND
-        ((INTP |word|) NIL)
+        ((integerp |word|) NIL)
         ((|member| |word| |$msgdbNoBlanksBeforeGroup|) 'T)
         ('T
          (COND
-           ((AND (CVECP |word|) (> (SIZE |word|) 1))
+           ((AND (stringp |word|) (> (SIZE |word|) 1))
             (COND
               ((AND (BOOT-EQUAL (ELT |word| 0) (|char| '%))
                     (BOOT-EQUAL (ELT |word| 1) (|char| '|x|)))
@@ -567,11 +567,11 @@
   (declare (special |$msgdbListPrims| |$msgdbNoBlanksAfterGroup|))
     (RETURN
       (COND
-        ((INTP |word|) NIL)
+        ((integerp |word|) NIL)
         ((|member| |word| |$msgdbNoBlanksAfterGroup|) 'T)
         ('T
          (COND
-           ((AND (CVECP |word|) (> (SPADLET |s| (SIZE |word|)) 1))
+           ((AND (stringp |word|) (> (SPADLET |s| (SIZE |word|)) 1))
             (COND
               ((AND (BOOT-EQUAL (ELT |word| 0) (|char| '%))
                     (BOOT-EQUAL (ELT |word| 1) (|char| '|x|)))
diff --git a/src/interp/newfort.lisp.pamphlet b/src/interp/newfort.lisp.pamphlet
index edd4c6a..e0596df 100644
--- a/src/interp/newfort.lisp.pamphlet
+++ b/src/interp/newfort.lisp.pamphlet
@@ -2390,7 +2390,7 @@
                       ((AND (OR (IDENTP |rand|) (STRINGP |rand|))
                             (EQL |exponent| 2))
                        (CONS '* (CONS |rand| (CONS |rand| NIL))))
-                      ((AND (FIXP |exponent|)
+                      ((AND (integerp |exponent|)
                             (> 32768 (ABS |exponent|)))
                        (CONS '**
                              (CONS (|fortPre1| |rand|)
diff --git a/src/interp/nrunfast.lisp.pamphlet b/src/interp/nrunfast.lisp.pamphlet
index 172f764..ec09c1c 100644
--- a/src/interp/nrunfast.lisp.pamphlet
+++ b/src/interp/nrunfast.lisp.pamphlet
@@ -3020,7 +3020,7 @@
         (COND
           ((|isDomain| |domain|)
            (COND
-             ((FIXP (ELT (CAR |domain|) 0))
+             ((integerp (ELT (CAR |domain|) 0))
               (|basicLookup| '%% (|hashType| |attrib| |hashPercent|)
                   |domain| |domain|))
              ('T (|HasAttribute| (CDDR |domain|) |attrib|))))
@@ -3162,7 +3162,7 @@
               (|HasAttribute| |domain| |f|))
              ((|isDomain| |domain|)
               (COND
-                ((FIXP (ELT (CAR |domain|) 0))
+                ((integerp (ELT (CAR |domain|) 0))
                  (SPADLET |catform'| (|devaluate| |catform'|))
                  (|basicLookup| '%% |catform'| |domain| |domain|))
                 ('T (|HasCategory| (CDDR |domain|) |catform'|))))
diff --git a/src/interp/parsing.lisp.pamphlet b/src/interp/parsing.lisp.pamphlet
index 18b986a..ddf6d56 100644
--- a/src/interp/parsing.lisp.pamphlet
+++ b/src/interp/parsing.lisp.pamphlet
@@ -1437,7 +1437,7 @@ foo defined inside of fum gets renamed as fum,foo.")
 	('t (list '> (CADR x) (CAR x)))))
 
 (defun smint-able (x)
-  (or (smintp x)
+  (or (typep x 'fixnum)
       (and (pairp x) (memq (car x) '(|One| |Zero| LENGTH \# QCSIZE QVSIZE QLENGTH)))))
 
 (defun DEF-PROCESS (X &aux $MACROASSOC)
@@ -1910,14 +1910,14 @@ foo defined inside of fum gets renamed as fum,foo.")
   (let ((EXPR (car args)) (SEL (cadr args)))
     (let (Y)
       (COND ((and (symbolp sel) (setq Y (GET SEL 'SEL\,FUNCTION)))
-             (COND ((INTEGERP Y) (LIST 'ELT EXPR Y))
+             (COND ((integerp Y) (LIST 'ELT EXPR Y))
                    ((LIST Y EXPR))))
             ((LIST 'ELT EXPR SEL))))))
 
 (defun DEF-SETELT (args)
   (let ((VAR (first args)) (SEL (second args)) (EXPR (third args)))
     (let ((y (and (symbolp sel) (get sel 'sel\,function))))
-      (COND (y (COND ((INTEGERP Y) (LIST 'SETELT VAR Y EXPR))
+      (COND (y (COND ((integerp Y) (LIST 'SETELT VAR Y EXPR))
                      ((LIST 'RPLAC (LIST Y VAR) EXPR))))
             ((LIST 'SETELT VAR SEL EXPR))))))
 
@@ -2775,10 +2775,10 @@ fnewmeta
 
 
 (DEFUN |PARSE-FloatBase| ()
-  (OR (AND (FIXP (CURRENT-SYMBOL)) (CHAR-EQ (CURRENT-CHAR) ".")
+  (OR (AND (integerp (CURRENT-SYMBOL)) (CHAR-EQ (CURRENT-CHAR) ".")
            (CHAR-NE (NEXT-CHAR) ".") (|PARSE-IntegerTok|)
            (MUST (|PARSE-FloatBasePart|)))
-      (AND (FIXP (CURRENT-SYMBOL))
+      (AND (integerp (CURRENT-SYMBOL))
            (CHAR-EQ (CHAR-UPCASE (CURRENT-CHAR)) 'E)
            (|PARSE-IntegerTok|) (PUSH-REDUCTION '|PARSE-FloatBase| 0)
            (PUSH-REDUCTION '|PARSE-FloatBase| 0))
@@ -3452,7 +3452,7 @@ preparse
              (format t "~%"))))
  
 (DEFUN STOREBLANKS (LINE N)
-   (DO ((I 0 (ADD1 I))) ((= I N) LINE) (SETF (CHAR LINE I) #\ )))
+   (DO ((I 0 (1+ I))) ((= I N) LINE) (SETF (CHAR LINE I) #\ )))
  
 (DEFUN INITIAL-SUBSTRING (PATTERN LINE)
    (let ((ind (mismatch PATTERN LINE)))
@@ -4145,7 +4145,7 @@ parse
 
 ;;;     ***       |parseExit| REDEFINED
 
-(DEFUN |parseExit| (#0=#:G167157) (PROG (|a| |b|) (RETURN (PROGN (SPADLET |a| (CAR #0#)) (SPADLET |b| (CDR #0#)) (SPADLET |a| (|parseTran| |a|)) (SPADLET |b| (|parseTran| |b|)) (COND (|b| (COND ((NULL (INTEGERP |a|)) (MOAN (MAKESTRING "first arg ") |a| (MAKESTRING " for exit must be integer")) (CONS (QUOTE |exit|) (CONS 1 (CONS |a| NIL)))) ((QUOTE T) (CONS (QUOTE |exit|) (CONS |a| |b|))))) ((QUOTE T) (CONS (QUOTE |exit|) (CONS 1 (CONS |a| NIL))))))))) 
+(DEFUN |parseExit| (#0=#:G167157) (PROG (|a| |b|) (RETURN (PROGN (SPADLET |a| (CAR #0#)) (SPADLET |b| (CDR #0#)) (SPADLET |a| (|parseTran| |a|)) (SPADLET |b| (|parseTran| |b|)) (COND (|b| (COND ((NULL (integerp |a|)) (MOAN (MAKESTRING "first arg ") |a| (MAKESTRING " for exit must be integer")) (CONS (QUOTE |exit|) (CONS 1 (CONS |a| NIL)))) ((QUOTE T) (CONS (QUOTE |exit|) (CONS |a| |b|))))) ((QUOTE T) (CONS (QUOTE |exit|) (CONS 1 (CONS |a| NIL))))))))) 
 ;
 ;parseLeave [a,:b] ==
 ;  a:= parseTran a
@@ -4158,7 +4158,7 @@ parse
 
 ;;;     ***       |parseLeave| REDEFINED
 
-(DEFUN |parseLeave| (#0=#:G167176) (PROG (|a| |b|) (RETURN (PROGN (SPADLET |a| (CAR #0#)) (SPADLET |b| (CDR #0#)) (SPADLET |a| (|parseTran| |a|)) (SPADLET |b| (|parseTran| |b|)) (COND (|b| (COND ((NULL (INTEGERP |a|)) (MOAN (MAKESTRING "first arg ") |a| (MAKESTRING " for 'leave' must be integer")) (CONS (QUOTE |leave|) (CONS 1 (CONS |a| NIL)))) ((QUOTE T) (CONS (QUOTE |leave|) (CONS |a| |b|))))) ((QUOTE T) (CONS (QUOTE |leave|) (CONS 1 (CONS |a| NIL))))))))) 
+(DEFUN |parseLeave| (#0=#:G167176) (PROG (|a| |b|) (RETURN (PROGN (SPADLET |a| (CAR #0#)) (SPADLET |b| (CDR #0#)) (SPADLET |a| (|parseTran| |a|)) (SPADLET |b| (|parseTran| |b|)) (COND (|b| (COND ((NULL (integerp |a|)) (MOAN (MAKESTRING "first arg ") |a| (MAKESTRING " for 'leave' must be integer")) (CONS (QUOTE |leave|) (CONS 1 (CONS |a| NIL)))) ((QUOTE T) (CONS (QUOTE |leave|) (CONS |a| |b|))))) ((QUOTE T) (CONS (QUOTE |leave|) (CONS 1 (CONS |a| NIL))))))))) 
 ;
 ;parseReturn [a,:b] ==
 ;  a:= parseTran a
@@ -4454,7 +4454,7 @@ postpar
 
 ;;;     ***       |postCapsule| REDEFINED
 
-(DEFUN |postCapsule| (|x|) (PROG (|op|) (RETURN (COND ((NULL (AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))) (|checkWarningIndentation|)) ((OR (INTEGERP |op|) (BOOT-EQUAL |op| (QUOTE ==))) (CONS (QUOTE CAPSULE) (CONS (|postBlockItem| |x|) NIL))) ((BOOT-EQUAL |op| (QUOTE |;|)) (CONS (QUOTE CAPSULE) (|postBlockItemList| (|postFlatten| |x| (QUOTE |;|))))) ((BOOT-EQUAL |op| (QUOTE |if|)) (CONS (QUOTE CAPSULE) (CONS (|postBlockItem| |x|) NIL))) ((QUOTE T) (|checkWarningIndentation|)))))) 
+(DEFUN |postCapsule| (|x|) (PROG (|op|) (RETURN (COND ((NULL (AND (PAIRP |x|) (PROGN (SPADLET |op| (QCAR |x|)) (QUOTE T)))) (|checkWarningIndentation|)) ((OR (integerp |op|) (BOOT-EQUAL |op| (QUOTE ==))) (CONS (QUOTE CAPSULE) (CONS (|postBlockItem| |x|) NIL))) ((BOOT-EQUAL |op| (QUOTE |;|)) (CONS (QUOTE CAPSULE) (|postBlockItemList| (|postFlatten| |x| (QUOTE |;|))))) ((BOOT-EQUAL |op| (QUOTE |if|)) (CONS (QUOTE CAPSULE) (CONS (|postBlockItem| |x|) NIL))) ((QUOTE T) (|checkWarningIndentation|)))))) 
 ;postQUOTE x == x
 
 ;;;     ***       |postQUOTE| REDEFINED
@@ -4741,7 +4741,7 @@ postpar
 
 ;;;     ***       |decodeScripts| REDEFINED
 
-(DEFUN |decodeScripts| (|a|) (PROG (|ISTMP#1| |b|) (RETURN (SEQ (COND ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |PrefixSC|)) (PROGN (SPADLET |ISTMP#1| (QCDR |a|)) (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL) (PROGN (SPADLET |b| (QCAR |ISTMP#1|)) (QUOTE T))))) (STRCONC (STRINGIMAGE 0) (|decodeScripts| |b|))) ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |;|)) (PROGN (SPADLET |b| (QCDR |a|)) (QUOTE T))) (APPLX (QUOTE STRCONC) (PROG (#0=#:G167147) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G167152 |b| (CDR #1#)) (|x| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |x| (CAR #1#)) NIL)) (NREVERSE0 #0#)) (SEQ (EXIT (SETQ #0# (CONS (|decodeScripts| |x|) #0#))))))))) ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |,|)) (PROGN (SPADLET |b| (QCDR |a|)) (QUOTE T))) (STRINGIMAGE (|decodeScripts,fn| |a|))) ((QUOTE T) (STRINGIMAGE 1))))))) 
+(DEFUN |decodeScripts| (|a|) (PROG (|ISTMP#1| |b|) (RETURN (SEQ (COND ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |PrefixSC|)) (PROGN (SPADLET |ISTMP#1| (QCDR |a|)) (AND (PAIRP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL) (PROGN (SPADLET |b| (QCAR |ISTMP#1|)) (QUOTE T))))) (STRCONC (STRINGIMAGE 0) (|decodeScripts| |b|))) ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |;|)) (PROGN (SPADLET |b| (QCDR |a|)) (QUOTE T))) (apply (QUOTE STRCONC) (PROG (#0=#:G167147) (SPADLET #0# NIL) (RETURN (DO ((#1=#:G167152 |b| (CDR #1#)) (|x| NIL)) ((OR (ATOM #1#) (PROGN (SETQ |x| (CAR #1#)) NIL)) (NREVERSE0 #0#)) (SEQ (EXIT (SETQ #0# (CONS (|decodeScripts| |x|) #0#))))))))) ((AND (PAIRP |a|) (EQ (QCAR |a|) (QUOTE |,|)) (PROGN (SPADLET |b| (QCDR |a|)) (QUOTE T))) (STRINGIMAGE (|decodeScripts,fn| |a|))) ((QUOTE T) (STRINGIMAGE 1))))))) 
 ;postIf t ==
 ;  t isnt ['if,:l] => t
 ;  ['IF,:[(null (x:= postTran x) and null $BOOT => 'noBranch; x)
diff --git a/src/interp/pspad1.lisp.pamphlet b/src/interp/pspad1.lisp.pamphlet
index 9bc833f..f70d383 100644
--- a/src/interp/pspad1.lisp.pamphlet
+++ b/src/interp/pspad1.lisp.pamphlet
@@ -851,7 +851,7 @@
                    ('T (|formatAtom| |x|))))
         (COND
           ((NULL |newCOrNil|) (SPADLET |$c| |oldC|) NIL)
-          ((NULL (FIXP |newCOrNil|)) (|error|))
+          ((NULL (integerp |newCOrNil|)) (|error|))
           ('T (SPADLET |$c| |newCOrNil|)))))))
 
 ;getOp(op,kind) ==
diff --git a/src/interp/slam.lisp.pamphlet b/src/interp/slam.lisp.pamphlet
index 32e2282..57e3174 100644
--- a/src/interp/slam.lisp.pamphlet
+++ b/src/interp/slam.lisp.pamphlet
@@ -137,7 +137,7 @@
              ('T
               (SPADLET |num|
                        (COND
-                         ((FIXP |cacheCount|)
+                         ((integerp |cacheCount|)
                           (COND
                             ((> 1 |cacheCount|)
                              (|keyedSystemError| 'S2IM0019
@@ -160,7 +160,7 @@
                                       NIL)))
                          ('T
                           (CONS |g1|
-                                (CONS (CONS 'APPLX
+                                (CONS (CONS 'apply
                                        (CONS (MKQ |auxfn|)
                                         (CONS |g1| NIL)))
                                       NIL)))))
@@ -328,7 +328,7 @@
                                 NIL)))
                    ('T
                     (CONS |g1|
-                          (CONS (CONS 'APPLX
+                          (CONS (CONS 'apply
                                       (CONS (MKQ |auxfn|)
                                        (CONS |g1| NIL)))
                                 NIL)))))
@@ -409,7 +409,7 @@
                     G166140)
                  (SEQ (EXIT (SETQ G166140
                                   (PLUS G166140
-                                        (ADD1
+                                        (1+
                                          (|nodeCount|
                                           (HGET |table| |key|))))))))))))))
 
@@ -725,7 +725,7 @@
              (SPADLET |advanceCode|
                       (CONS 'LET
                             (CONS |gIndex|
-                                  (CONS (CONS 'ADD1
+                                  (CONS (CONS '1+
                                          (CONS |gIndex| NIL))
                                         NIL))))
              (SPADLET |newTripleCode|
@@ -952,7 +952,7 @@
                                           (CONS 'SETQ
                                            (CONS |max|
                                             (CONS
-                                             (CONS 'DIFFERENCE
+                                             (CONS '-
                                               (CONS |max|
                                                (CONS |k| NIL)))
                                              NIL)))
@@ -966,7 +966,7 @@
                                              (CONS 'QSDIFFERENCE
                                               (CONS |k|
                                                (CONS
-                                                (CONS 'DIFFERENCE
+                                                (CONS '-
                                                  (CONS |sharpArg|
                                                   (CONS |max| NIL)))
                                                 NIL)))
diff --git a/src/interp/template.lisp.pamphlet b/src/interp/template.lisp.pamphlet
index 5920ae6..6e6ff37 100644
--- a/src/interp/template.lisp.pamphlet
+++ b/src/interp/template.lisp.pamphlet
@@ -163,7 +163,7 @@
                ((|isDomain| |u|) |u|)
                ((BOOT-EQUAL |u| '$) |dollar|)
                ((BOOT-EQUAL |u| '$$) |dollar|)
-               ((FIXP |u|)
+               ((integerp |u|)
                 (COND
                   ((VECP (SPADLET |y| (ELT |dollar| |u|))) |y|)
                   ((|isDomain| |y|) |y|)
diff --git a/src/interp/topics.lisp.pamphlet b/src/interp/topics.lisp.pamphlet
index 8791b95..ea4790f 100644
--- a/src/interp/topics.lisp.pamphlet
+++ b/src/interp/topics.lisp.pamphlet
@@ -552,7 +552,7 @@
                       (PROGN (SETQ |pair| (CAR G166390)) NIL))
                   NIL)
                (SEQ (EXIT (COND
-                            ((AND (FIXP (SPADLET |code|
+                            ((AND (integerp (SPADLET |code|
                                          (|myLastAtom| |pair|)))
                                   (NEQUAL (SPADLET |op| (CAR |pair|))
                                           '|construct|))
@@ -739,7 +739,7 @@
                     (PROGN (SETQ |pair| (CAR G166550)) NIL))
                 NIL)
              (SEQ (EXIT (COND
-                          ((FIXP (SPADLET |code| (|myLastAtom| |pair|)))
+                          ((integerp (SPADLET |code| (|myLastAtom| |pair|)))
                            (COND
                              ((SPADLET |u|
                                        (|assoc| (QCAR |pair|)
@@ -768,7 +768,7 @@
                           (PROGN (SETQ |x| (CAR G166573)) NIL))
                       (NREVERSE0 G166567))
                    (SEQ (EXIT (COND
-                                ((AND (FIXP
+                                ((AND (integerp
                                        (SPADLET |code|
                                         (|myLastAtom| |x|)))
                                       (LOGBITP |bitNumber| |code|))
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 9b14821..f0ed0f6 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -61,22 +61,6 @@ documentclass{article}
 ;; DEFMACROS
 
 
-(defmacro absval (x)
- `(abs ,x))
-
-(defmacro add1 (x)
- `(1+ ,x))
-
-(defmacro assemble (&rest ignore) 
- (declare (ignore ignore))
-  nil)
-
-(defmacro applx (&rest args)
- `(apply ,@args))
-
-(defmacro bintp (n)
- `(typep ,n 'bignum))
-
 (defmacro |char| (x)
   (if (and (consp x) (eq (car x) 'quote)) (character (cadr x))
     `(character ,x)))
@@ -84,23 +68,12 @@ documentclass{article}
 (defmacro closedfn (form)
  `(function ,form))
 
-(defmacro |copyList| (x) 
- `(copy-list ,x))
-
-(defmacro create-sbc (x) x)  ;a no-op for common lisp
-
-(defmacro cvecp (x)
- `(stringp ,x))
-
 (defmacro dcq (&rest args)
  (cons 'setqp args))
 
 (defmacro define-macro (f v)
  `(setf (macro-function ,f) (macro-function ,v)))
 
-(defmacro difference (&rest args)
- `(- ,@args))
-
 (defmacro dsetq (&whole form pattern exp)
  (dodsetq form pattern exp))
 
@@ -131,12 +104,6 @@ documentclass{article}
 (defmacro exit (&rest value)
  `(return-from seq ,@value))
 
-(defmacro fixp (x)
- `(integerp ,x))
-
-(defmacro greaterp (&rest args)
- `(> ,@args))
-
 (defmacro i= (x y) ;; integer equality
   (if (typep y 'fixnum)
       (let ((gx (gensym)))
@@ -162,9 +129,6 @@ documentclass{article}
       `(let ((,xx ,x))
 	 (and (consp ,xx) (qcdr ,xx))))))
 
-(defmacro intp (x)
- `(integerp ,x))
-
 (defmacro lam (&rest body)
  (list 'quote (*lam (copy-tree body))))
 
@@ -441,12 +405,6 @@ documentclass{article}
 (defmacro |shoeInputFile| (filespec)
  `(open ,filespec :direction :input :if-does-not-exist nil))
 
-(defmacro sintp (n)
- `(typep ,n 'fixnum))
-
-(defmacro smintp (n)
- `(typep ,n 'fixnum))
-
 (defmacro stringlength (x)
  `(length (the string ,x)))
 
@@ -742,20 +700,13 @@ the calculation by repeated divisions using the radix itself.
 
 ;(define-function 'lessp #'<)
 
-;(define-function 'greaterp #'>)
-
-
-;(define-function 'fixp #'integerp)
 
 ; 12.3 Computation
 
-;(define-function 'add1 #'1+)
 ;(define-function 'sub1 #'1-)
 ;(define-function 'plus #'+)
 ;(define-function 'times #'*)
-;(define-function 'difference #'-)
 ;(define-function 'minus #'-)
-;(define-function 'absval #'abs)
 
 (defun QUOTIENT (x y)
   (cond ((or (floatp x) (floatp y)) (lisp:/ x y))
@@ -2375,7 +2326,7 @@ do the compile, and then rename the result back to code.o.
 	  '(|Integer| |Float| |Symbol|
 	    |Boolean| |String|)			"???")
 (def-boot-val |$BasicPredicates|
-	  '(FIXP STRINGP FLOATP)		"???")
+	  '(INTEGERP STRINGP FLOATP)		"???")
 (def-boot-val |$BFtag| '-BF-	   "big float marker")
 (def-boot-val |$BigFloat| '(|Float|)		    "???")
 (def-boot-val |$BigFloatOpt| '(|BigFloat| . OPT)    "???")
@@ -2933,7 +2884,7 @@ for primitive domains.	Also used by putInLocalDomainReferences and optCal.")
                                                (SETQ L (S- L '(1 (ONE))))))) 1)
                               ((EQL 1 X) (CAR L))
                               ((CONS 'TIMES L)) ))
-                 (QUOTIENT (COND ((GREATERP (LENGTH L) 2) (fail))
+                 (QUOTIENT (COND ((> (LENGTH L) 2) (fail))
                                  ((EQL 0 (CAR L)) 0)
                                  ((EQL (CADR L) 1) (CAR L))
                                  ((CONS 'QUOTIENT L)) ))
@@ -2941,14 +2892,14 @@ for primitive domains.	Also used by putInLocalDomainReferences and optCal.")
                               ((NUMBERP (SETQ X (CAR L))) (MINUS X))
                               ((EQCAR X 'MINUS) (CADR X))
                               ((CONS 'MINUS L))  ))
-                 (DIFFERENCE (COND ((GREATERP (LENGTH L) 2) (FAIL))
+                 (DIFFERENCE (COND ((> (LENGTH L) 2) (FAIL))
                                    ((EQUAL (CAR L) (CADR L)) '(ZERO))
                                    ((|member| (CAR L) '(0 (ZERO))) (MKPF (CDR L) 'MINUS))
                                    ((|member| (CADR L) '(0 (ZERO))) (CAR L))
                                    ((EQCAR (CADR L) 'MINUS)
                                     (MKPF (LIST (CAR L) (CADADR L)) 'PLUS))
                                    ((CONS 'DIFFERENCE L)) ))
-                 (EXPT (COND ((GREATERP (LENGTH L) 2) (FAIL))
+                 (EXPT (COND ((> (LENGTH L) 2) (FAIL))
                              ((EQL 0 (CADR L)) 1)
                              ((EQL 1 (CADR L)) (CAR L))
                              ((|member| (CAR L) '(0 1 (ZERO) (ONE))) (CAR L))
@@ -4438,7 +4389,7 @@ terminals and empty or at-end files.  In Common Lisp, we must assume record size
          (G2 (GENSYM))
          (U (COND ((NOT ARGL) `(nil (,auxfn)))
                   ((NOT (CDR ARGL)) `((,g1)(,auxfn ,g1)))
-                  (`(,g1 (applx (function ,auxfn) ,g1)))))
+                  (`(,g1 (apply (function ,auxfn) ,g1)))))
          (ARG (CAR U))
          (APP (CADR U))
          (LAMEX
@@ -5659,7 +5610,7 @@ EXAMINE (SETQ RECNO (NOTE INPUTSTREAM))
 ; on and off
  
 (defun |startTimer| ()
-    (SETQ $delay (PLUS $delay (DIFFERENCE (get-internal-run-time) |$oldTime|)))
+    (SETQ $delay (PLUS $delay (- (get-internal-run-time) |$oldTime|)))
     (SETQ |$timerOn| 'T)
     (|clock|))
  
@@ -5908,7 +5859,7 @@ now the function is defined but does nothing.
     (setq C (+ A B))
     (setq MSG (STRCONC "(" (STRINGIMAGE A) " + " (STRINGIMAGE B)
 		       " = " (STRINGIMAGE C) " MS.)"))
-    (PRINT (STRCONC (STRINGPAD "" (DIFFERENCE 80 (SIZE MSG))) MSG))))
+    (PRINT (STRCONC (STRINGPAD "" (- 80 (SIZE MSG))) MSG))))
 
 (defun SPAD-MODETRAN (X) (D-TRAN X))
 
@@ -7270,19 +7221,19 @@ o  there is some code at the end of SPECEVAL BOOT that puts "up"
   (SEQ DEF-SEQ)
   (|isnt| DEF-ISNT)
   (|where| DEF-WHERE)
-)) (PROGN (MAKEPROP (CAR X) '|DEF-TRAN| (CADR X)) (CREATE-SBC (CADR X))))
+)) (PROGN (MAKEPROP (CAR X) '|DEF-TRAN| (CADR X))  (CADR X)))
 
 ;; following was in INIT LISP
 
 (REPEAT (IN X '(
   |Polynomial| |UnivariatePoly| |SquareMatrix| |QuotientField|
   )) (MAKEPROP X '|status|
-     (CREATE-SBC (INTERNL (STRCONC "status" (STRINGIMAGE X))) )))
+      (INTERNL (STRCONC "status" (STRINGIMAGE X))))))
 
 (REPEAT (IN X '(
   |UnivariatePoly| |Matrix| |QuotientField| |Gaussian|
   )) (MAKEPROP X '|dataCoerce|
-     (CREATE-SBC (INTERNL (STRCONC "coerce" (STRINGIMAGE X))) )))
+      (INTERNL (STRCONC "coerce" (STRINGIMAGE X))))))
 
 (REPEAT (IN X '(
   (|Integer| . (INTEGERP |#1|))
@@ -7294,13 +7245,16 @@ o  there is some code at the end of SPECEVAL BOOT that puts "up"
   (|PrimitiveSymbol| . (IDENTP |#1|))
   )) (MAKEPROP (CAR X) '|BasicPredicate| (CDR X)))
 
+;; this property is checked for Integers to decide which subdomain to
+;; choose at compile time.
+
 (MAKEPROP '|Integer| '|Subsets|
   '((|PositiveInteger| . (|>| * 0))
     (|NonNegativeInteger| . (|>=| * 0))
     (|NegativeInteger| . (|<| * 0))
     (|NonPositiveInteger| . (|<=| * 0))
     (|NonZeroInteger| . (^= * 0))
-    (|SingleInteger| . (SMINTP *))
+    (|SingleInteger| . (typep * 'fixnum))
     ))
 
 (MAKEPROP '|NonNegativeInteger| '|Subsets| '(
@@ -7320,7 +7274,7 @@ o  there is some code at the end of SPECEVAL BOOT that puts "up"
   (|Union| |mkUnionFunList|)
   (|Mapping| |mkMappingFunList|)
   (|Enumeration| |mkEnumerationFunList|)
-)) (MAKEPROP (CAR X) '|makeFunctionList| (CREATE-SBC (CADR X))))
+)) (MAKEPROP (CAR X) '|makeFunctionList|  (CADR X)))
 
 (REPEAT (IN X '(
   (|<=| |parseLessEqual|)
@@ -7404,7 +7358,7 @@ o  there is some code at the end of SPECEVAL BOOT that puts "up"
   (|@Tuple| |postTuple|)
 )) (MAKEPROP (CAR X) '|postTran| (CADR X)))
 
-(MAKEPROP 'INTEGER 'ISFUNCTION 'FIXP)
+(MAKEPROP 'INTEGER 'ISFUNCTION 'INTEGERP)
 (MAKEPROP '|Integer| '|isFunction| '|IsInteger|)
 (MAKEPROP '|Boolean| '|isFunction| '|isBoolean|)
 
@@ -7564,14 +7518,14 @@ o  there is some code at the end of SPECEVAL BOOT that puts "up"
   (VECTOR |compVector|)
   (|VectorCategory| |compConstructorCategory|)
   (|where| |compWhere|)
-)) (MAKEPROP (CAR X) 'SPECIAL (CREATE-SBC (CADR X))))
+)) (MAKEPROP (CAR X) 'SPECIAL  (CADR X)))
 
 (REPEAT (IN X '(
   (\: |compColonInteractive|)
   (DEF |compDefineInteractive|)
   (|construct| |compConstructInteractive|)
   (LET |compSetqInteractive|)
-)) (MAKEPROP (CAR X) 'INTERACTIVE (CREATE-SBC (CADR X))))
+)) (MAKEPROP (CAR X) 'INTERACTIVE  (CADR X)))
 
 @
 \begin{verbatim}
diff --git a/src/interp/wi1.lisp.pamphlet b/src/interp/wi1.lisp.pamphlet
index 62293ee..6327f6f 100644
--- a/src/interp/wi1.lisp.pamphlet
+++ b/src/interp/wi1.lisp.pamphlet
@@ -1300,7 +1300,7 @@
                      (|compVector| |x| (CONS '|Vector| (CONS R NIL))
                          |e|))))
          (COND (T$ (|convert| T$ |m|))))
-        ((AND (FIXP |x|)
+        ((AND (integerp |x|)
               (MEMQ (|opOf| |m|)
                     '(|Integer| |NonNegativeInteger| |PositiveInteger|
                          |SmallInteger|)))
diff --git a/src/interp/wi2.lisp.pamphlet b/src/interp/wi2.lisp.pamphlet
index 9a0bccf..6029bea 100644
--- a/src/interp/wi2.lisp.pamphlet
+++ b/src/interp/wi2.lisp.pamphlet
@@ -3601,7 +3601,7 @@
            (SPADLET |e| (CADDR |LETTMP#1|))
            (SPADLET |range|
                     (COND
-                      ((AND (FIXP |startNum|) (FIXP |incNum|))
+                      ((AND (integerp |startNum|) (integerp |incNum|))
                        (COND
                          ((AND (> |startNum| 0) (> |incNum| 0))
                           |$PositiveInteger|)
